Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.client
Class EPPSSLProxyClientSocket

    java.lang.Object
      com.verisign.epp.transport.client.EPPSSLClientSocket
          com.verisign.epp.transport.client.EPPSSLProxyClientSocket

All Implemented Interfaces:
  EPPClientCon

    public class EPPSSLProxyClientSocket

extends EPPSSLClientSocket

EPP SSL client socket connection that goes through the Apache server mod_proxy. The interface is exactly the same as EPPSSLClientSocket, except one additional configuration properties that defines the `EPPProxyServersLocator` class that's used to get the list of proxy servers to connect through. The `EPPProxyServersLocator` configuration property defines the location class. Additional configuration properties might be required including:

- `EPP.ProxyServers` - Defines the list of proxy servers when `EPPProxyServersLocator` is set to `com.verisign.epp.transport.client.EPPConfigProxyServersLocator`.
- `EPP.ProxyServersRandomize` is set to `true` to enable randomization of the proxy servers to attempt to connect through and `false` otherwise. The default setting is `true` if `EPP.ProxyServersRandomize` is not set.

The `EPPProxyServersLocator` is a static attribute for getting the list of proxy servers connect through. By default in the constructor the `EPPProxyServersLocator` is set based on the `EPPProxyServersLocator` configuration property. If additional initialization is required for the `EPPProxyServersLocator` used, then the `setLocator(EPPProxyServersLocator)` should be called prior to instantiating an instance of `EPPSSLProxyClientSocket` indirectly via the `EPPSession`.

Constructor Summary
`EPPSSLProxyClientSocket()` Constructor for initializing a new client socket connection that goes throw one of a list of proxy servers defined by the EPP.ProxyServers configuration property.

Method Summary
`static EPPProxyServersLocator` | `getLocator()` Gets the current `EPPProxyServersLocator` used by `EPPSSLProxyClientSocket`.
`void` | `initialize()` Override of the `EPPSSLClientSocket.initialize()` that will first connect to the Apache proxy server, send the target server connection information to the proxy server, and then initialize the SSL connection through the proxy server.
`static void` | `setLocator(EPPProxyServersLocator aLocator)` Sets the `EPPProxyServersLocator` to use when getting the list of proxy servers to connect through.

Methods inherited from class com.verisign.epp.transport.client.EPPSSLClientSocket
`close, getClientHostName, getConTimeout, getHostName, getInputStream, getOutputStream, getPortNumber, getSocket, getSslContext, getSSLPropertyListString, initialize, initialize, isConnected, setClientHostName, setConnected, setConTimeout, setHostName, setInputStream, setOutputStream, setPortNumber, setSocket, setSslContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPSSLProxyClientSocket

    public EPPSSLProxyClientSocket()
                            throws EPPConException

  Constructor for initializing a new client socket connection that goes throw one of a list of proxy servers defined by the EPP.ProxyServers configuration property.

  Throws:
    `EPPConException` - Error creating `EPPSSLProxyClientSocket` instance.

Method Detail

### initialize

    public void initialize()
                    throws EPPConException

  Override of the `EPPSSLClientSocket.initialize()` that will first connect to the Apache proxy server, send the target server connection information to the proxy server, and then initialize the SSL connection through the proxy server.

  Specified by:
    `initialize` in interface `EPPClientCon`
  Overrides:
    `initialize` in class `EPPSSLClientSocket`
  Throws:
    `EPPConException` - Error with SSL connection throw the Apache proxy server

### getLocator

    public static EPPProxyServersLocator getLocator()

  Gets the current `EPPProxyServersLocator` used by `EPPSSLProxyClientSocket`. The locator is a static / global setting for creating socket connections to define the set of proxy servers to connect through. The locator set can dynamically change the proxy servers to connect through. If not define before an `EPPSSLProxyClientSocket` is instantiated, the default locator is defined by the `EPP.ProxyServersLocator` configuration property.

  Returns:
    `EPPProxyServersLocator` instance if defined; `null` otherwise.

### setLocator

    public static void setLocator(EPPProxyServersLocator aLocator)

  Sets the `EPPProxyServersLocator` to use when getting the list of proxy servers to connect through. If not define before an `EPPSSLProxyClientSocket` is instantiated, the default locator is defined by the `EPP.ProxyServersLocator` configuration property, so if a `EPPProxyServersLocator` objects needs further initialized outside the default constructor, `setLocator(EPPProxyServersLocator)` must be called before `EPPSSLProxyClientSocket` is instantiated indirectly in creating an `EPPSession`.

  Parameters:
    `aLocator` - `EPPProxyServersLocator` instance to use to get the list of proxy servers to connect through.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.